<?php
	session_start();
	include 'koneksi.php';
	
		$username 		= $_SESSION['username'];
		$id				= $_POST['id'];
		$judul_artikel	= $_POST['judul_artikel'];
		$isi_artikel	= $_POST['isi_artikel'];
		$gambar_artikel	= $_POST['gambar_artikel'];
		
		if($_FILES['gambar_artikel']['name']) {
			move_uploaded_file($_FILES['gambar_artikel']['tmp_name'],'images/'.$judul_artikel.'.jpg');
			$profil = 'images/'.$judul_artikel.'.jpg';
		}
		
		$edit = mysqli_query($koneksi, "UPDATE t_artikel SET judul_artikel='$judul_artikel', isi_artikel='$isi_artikel', tanggal_diedit=NOW(), gambar_artikel='$profil', username='$username' WHERE id_artikel='$id'") or die(mysqli_error());
			if($edit) {
				echo "<script>alert('Data artikel $judul_artikel berhasil disimpan');window.location = 'processarticle.php'</script>";
			}
			else {
				echo "<script>alert('Gagal menyimpan data artikel !'); window.location = 'editarticle.php'</script>";
			}
?>